# Copyright 2017, 2019 the Velero contributors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

FROM openshift/golang-builder:1.16 AS builder
ADD . .
RUN mkdir -p /go/src/github.com/konveyor/openshift-migration-velero-plugin-for-aws
RUN tar --strip-components=1 -xvf release-1.4.6.tar.gz -C /go/src/github.com/konveyor/openshift-migration-velero-plugin-for-aws
WORKDIR /go/src/github.com/konveyor/openshift-migration-velero-plugin-for-aws
# copy vendor in separately so the layer can be cached if the contents don't change
ENV BUILDTAGS containers_image_ostree_stub exclude_graphdriver_devicemapper exclude_graphdriver_btrfs containers_image_openpgp exclude_graphdriver_overlay
ENV BIN velero-plugin-for-aws
RUN GO111MODULE=auto go build -installsuffix "static" -tags "$BUILDTAGS" -i -o _output/$BIN ./$BIN

FROM registry.redhat.io/ubi8/ubi-minimal
RUN mkdir /plugins
COPY --from=builder /go/src/github.com/konveyor/openshift-migration-velero-plugin-for-aws/_output/$BIN /plugins/
USER nobody:nobody
ENTRYPOINT ["/bin/bash", "-c", "cp /plugins/* /target/."]

LABEL \
        com.redhat.component="openshift-migration-velero-plugin-for-aws-container" \
        version="v1.4.6" \
        name="rhmtc/openshift-migration-velero-plugin-for-aws" \
        summary="Migration Toolkit for Containers Velero Plugin For AWS" \
        maintainer="Migration Team <ocp-migrate-team@redhat.com>" \
        License="ASL 2.0" \
        io.k8s.display-name="Migration Toolkit for Containers" \
        io.openshift.tags="migration" \
        io.k8s.description="Migration Toolkit for Containers Velero Plugin For AWS" \
        io.openshift.build.commit.id="369d0ef1f7c322974ef759b0d66ebbcf5877a857" \
        io.openshift.build.source-location="https://github.com/konveyor/velero-plugin-for-aws" \
        io.openshift.build.commit.url="https://github.com/konveyor/velero-plugin-for-aws/commit/369d0ef1f7c322974ef759b0d66ebbcf5877a857"
